=== debian/changelog ===
prometheus-pgbackrest-exporter (0.17.0+ds1-1ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 02 Jul 2025 15:27:19 +1000

prometheus-pgbackrest-exporter (0.17.0+ds1-1) unstable; urgency=medium

  * New upstream release 0.17.0

 -- Lena Voytek <lena.voytek@canonical.com>  Mon, 17 Jun 2024 13:29:11 -0700

prometheus-pgbackrest-exporter (0.16.2+ds1-1) unstable; urgency=medium

  * Initial release (Closes: #1066815)

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 21 Mar 2024 13:42:38 -0700
