=== debian/control ===
Source: prometheus-pgbackrest-exporter
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Lena Voytek <lena.voytek@canonical.com>
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-go-kit-log-dev,
               golang-github-prometheus-common-dev,
               golang-github-prometheus-exporter-toolkit-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-prometheus-client-dev,
               pgbackrest
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-pgbackrest-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-pgbackrest-exporter.git
Homepage: https://github.com/woblerr/pgbackrest_exporter
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/woblerr/pgbackrest_exporter

Package: prometheus-pgbackrest-exporter
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Prometheus exporter for pgBackRest (program)
 pgBackRest Exporter is a Prometheus exporter tool designed to collect and
 expose metrics from pgBackRest, a PostgreSQL backup and restore system. For
 more information on pgBackRest see https://pgbackrest.org/ and for exporters
 in general see https://prometheus.io/docs/instrumenting/exporters/
