## prometheus-pgbackrest-exporter 0.18.0+ds1

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,8 @@
 GIT_REV := $(shell git describe --abbrev=7 --always)
 SERVICE_CONF_DIR := /etc/systemd/system
 HTTP_PORT := 9854
-BACKREST_VERSION := 2.51
-DOCKER_BACKREST_VERSION := v0.24
+BACKREST_VERSION := 2.53
+DOCKER_BACKREST_VERSION := v0.27
 ROOT_DIR := $(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))
 DOCKER_CONTAINER_E2E := $(shell docker ps -a -q -f name=$(APP_NAME)_e2e)
 HTTP_PORT_E2E := $(shell echo $$((10000 + ($$RANDOM % 10000))))
@@ -24,8 +24,12 @@
 	$(call e2e_basic)
 	$(call e2e_tls_auth,/e2e_tests/web_config_empty.yml,false,false)
 	$(call e2e_tls_auth,/e2e_tests/web_config_TLS_noAuth.yml,true,false)
-	$(call e2e_tls_auth,/e2e_tests/web_config_TLS_Auth.yml,true,true)
-	$(call e2e_tls_auth,/e2e_tests/web_config_noTLS_Auth.yml,false,true)
+	$(call e2e_tls_auth,/e2e_tests/web_config_TLSInLine_noAuth.yml,true,false)
+	$(call e2e_tls_auth,/e2e_tests/web_config_TLS_Auth.yml,true,basic)
+	$(call e2e_tls_auth,/e2e_tests/web_config_noTLS_Auth.yml,false,basic)
+	$(call e2e_tls_auth,/e2e_tests/web_config_TLS_RequireAnyClientCert.yml,true,cert,"$(ROOT_DIR)/e2e_tests")
+	$(call e2e_tls_auth,/e2e_tests/web_config_TLS_RequireAndVerifyClientCert.yml,true,cert, "$(ROOT_DIR)/e2e_tests")
+
 
 .PHONY: build
 build:
@@ -109,6 +113,6 @@
 define e2e_tls_auth
 	docker run -d -p $(HTTP_PORT_E2E):$(HTTP_PORT) --env EXPORTER_CONFIG="${1}" --name=$(APP_NAME)_e2e $(APP_NAME)_e2e
 	@sleep 30
-	$(ROOT_DIR)/e2e_tests/run_e2e.sh $(HTTP_PORT_E2E) ${2} ${3}
+	$(ROOT_DIR)/e2e_tests/run_e2e.sh $(HTTP_PORT_E2E) ${2} ${3} "${4}"
     docker rm -f $(APP_NAME)_e2e
 endef
