=== debian/changelog ===
prometheus-pgbackrest-exporter (0.18.0+ds1-1) unstable; urgency=medium

  * New upstream release 0.18.0

 -- Lena Voytek <lena.voytek@canonical.com>  Tue, 10 Sep 2024 15:19:09 -0700
