=== debian/changelog ===
prometheus-pgbackrest-exporter (0.19.0+ds1-2) unstable; urgency=medium

  * d/service, d/default: Add systemd service with default pgbackrest config
  * d/rules: Match new standard exporter style, and rename
    pgbackrest_exporter binary to standard prometheus-pgbackrest-exporter
  * d/docs, d/manpages: Include README and generated manpage for documentation
  * d/control: Update dependencies and source section

 -- Lena Voytek <lena@voytek.dev>  Fri, 28 Feb 2025 17:00:05 -0500

prometheus-pgbackrest-exporter (0.19.0+ds1-1) unstable; urgency=medium

  * New upstream release 0.19.0

 -- Lena Voytek <lena.voytek@canonical.com>  Tue, 18 Feb 2025 12:25:57 -0500
