## prometheus-pgbackrest-exporter 0.20.0+ds1

=== debian/changelog ===
prometheus-pgbackrest-exporter (0.20.0+ds1-1) unstable; urgency=medium

  * New upstream release 0.20.0
  * d/control: Remove unnecessary pgbackrest build dependency
  * d/p/use-gopkg-kingpin-v2.patch: Refresh for new version
  * d/control: Update uploader email

 -- Lena Voytek <lena@voytek.dev>  Fri, 05 Sep 2025 13:36:43 -0400
