=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: prometheus-pgbackrest-exporter
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Lena Voytek <lena.voytek@canonical.com>
+Uploaders: Lena Voytek <lena@voytek.dev>
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -11,8 +11,7 @@
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
                golang-github-prometheus-exporter-toolkit-dev,
-               golang-gopkg-alecthomas-kingpin.v2-dev,
-               pgbackrest
+               golang-gopkg-alecthomas-kingpin.v2-dev
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-pgbackrest-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-pgbackrest-exporter.git
