## prometheus-pgbackrest-exporter 0.22.0%2Bds1

=== debian/changelog ===
prometheus-pgbackrest-exporter (0.22.0+ds1-1) unstable; urgency=medium

  * New upstream release 0.22.0
  * d/p/use-gopkg-kingpin-v2.patch: Refresh for new version
  * d/control: Update standards version and remove Priority: optional

 -- Lena Voytek <lena@voytek.dev>  Wed, 14 Jan 2026 15:48:41 -0500
