=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Lena Voytek <lena@voytek.dev>
 Section: golang
 Testsuite: autopkgtest-pkg-go
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
@@ -12,7 +11,7 @@
                golang-github-prometheus-common-dev,
                golang-github-prometheus-exporter-toolkit-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-pgbackrest-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-pgbackrest-exporter.git
 Homepage: https://github.com/woblerr/pgbackrest_exporter
